version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 84ba78c8cf6a2fcf40543fb3e3a2720b6ecab2516069e983d727bc3b0509d82e, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
